Cannot configure ASP.NET on domain: "Can't detect .NET version. Possible site does not use ASP.NET"

Created:

2017-07-17 04:45:01 UTC

Modified:

2017-08-16 16:48:56 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Cannot configure ASP.NET on domain: "Can't detect .NET version. Possible site does not use ASP.NET"

Applicable to:

  • Plesk for Windows

Symptoms

Attempt to configure ASP NET settings led to the following error appears:

PLESK_INFO: aspnetcfg failed: Can't detect .NET version. Possible site does not use ASP.NET (Error code 1)
Message aspnetcfg failed: Can't detect .NET version. Possible site does not use ASP.NET (Error code 1)
File : Agent.php
Line : 219
Type : PleskUtilException

Cause

The site application pool was not configured with ASP.NET "No managed code" was set in .NET CLR version section of Application pool settings.

Resolution

1. Open  IIS Manager ( Start > Run > inetmgr )

2. In IIS Manager go to ServerName > Application Pools > domain.tld (domain)(4.0)(pool) on Actions pane select Basic settings and choose appropriate .NET CLR Version from the dropdown list

OR

Disable and enable ASP.NET support via Plesk UI:

Home > Domains > domain.tld > Websites & Domains in  "Web scripting and statistics" section uncheck " Microsoft ASP.NET support " and Apply settings, then check it back and Apply settings

Have more questions? Submit a request
Please sign in to leave a comment.